<?php
class GalleryPage extends Page
{
	
	static $icon = 'gallery/images/video';
	
	static $db = array (
	);

	static $has_many = array (
		'Resources' => 'Resource'
	);
	
	public function getCMSFields()
	{
		$fields = parent::getCMSFields();
				
		$UCmanager = new FileDataObjectManager(
			$this, // Controller	
			'Resources', // Source name
			'Resource', // Source class
			'Attachment', // File name on DataObject
			array(
				'Name' => 'Name',
				'Caption' => 'Caption'
				//'Category' => 'Category'
			), // Headings 
			'getCMSFields_forPopup' // Detail fields (function name or FieldSet object)
			// Filter clause
			// Sort clause
			// Join clause
		);
		$UCmanager->sort = 'SortOrder';
		$UCmanager->sort_dir = "ASC";
		$UCmanager->setAllowedFileTypes(array('jpg','gif','png')); 
		$UCmanager->setBrowseButtonText("Upload"); 
		$UCmanager->setGridLabelField('Name'); 
		$UCmanager->setPluralTitle('Resources');
		
		$fields->addFieldToTab("Root.Content.Images", $UCmanager);

		return $fields;
	}
	
	/**
	 * Used to call first image in a collection
	 * @returns a DataObject which can be used as a control
	 * eg <% control $FirstResource(1) %>$Large<% end_control %>
	 */
	function FirstResource($num=3) {
		$data = DataObject::get_one("Resource", "GalleryPageID = $this->ID", "SortOrder ASC", "", $num);
		return $data;
	}
	
}


class GalleryPage_Controller extends Page_Controller
{
	/**
	 * On this page load
	 * Set required JS and CSS for this page
	 */
	public function init() {
		Requirements::javascript('customgallery/js/shadowbox-3.0.3/shadowbox.js');
		Requirements::customScript('Shadowbox.init();');
		Requirements::css('customgallery/js/shadowbox-3.0.3/shadowbox.css');
		parent::init(); 
	}

	/*
	// this was a function for Slide Show Pro
	function XML() {
		// Get the albums from within that folder/page
		$Albums = DataObject::get("Resource", "GalleryPageID = $this->ID", "SortOrder ASC");
		if(!$Albums) return user_error("No Albums Found");
		return $this->customise(array(
					"Albums" => $Albums
				))->renderWith("ImagesXMLOutput");
	}
	*/
}

?>